summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Schlemmer <azarah@gentoo.org>2003-05-18 13:08:02 +0000
committerMartin Schlemmer <azarah@gentoo.org>2003-05-18 13:08:02 +0000
commite35a409b228febb70a07efe3391f57aae48406c7 (patch)
tree3b341a174dcb3bdd131f8292ba13b0a235992c7b
parentadd selinux support back (diff)
downloadhistorical-e35a409b228febb70a07efe3391f57aae48406c7.tar.gz
historical-e35a409b228febb70a07efe3391f57aae48406c7.tar.bz2
historical-e35a409b228febb70a07efe3391f57aae48406c7.zip
cleanup
-rw-r--r--sys-libs/glibc/files/digest-glibc-2.2.5-r72
-rw-r--r--sys-libs/glibc/files/digest-glibc-2.3.1-r22
-rw-r--r--sys-libs/glibc/files/digest-glibc-2.3.1-r32
-rw-r--r--sys-libs/glibc/files/digest-glibc-2.3.23
-rw-r--r--sys-libs/glibc/glibc-2.2.5-r7.ebuild278
-rw-r--r--sys-libs/glibc/glibc-2.3.1-r2.ebuild303
-rw-r--r--sys-libs/glibc/glibc-2.3.1-r3.ebuild313
-rw-r--r--sys-libs/glibc/glibc-2.3.2.ebuild506
8 files changed, 0 insertions, 1409 deletions
diff --git a/sys-libs/glibc/files/digest-glibc-2.2.5-r7 b/sys-libs/glibc/files/digest-glibc-2.2.5-r7
deleted file mode 100644
index acc05c85ba28..000000000000
--- a/sys-libs/glibc/files/digest-glibc-2.2.5-r7
+++ /dev/null
@@ -1,2 +0,0 @@
-MD5 5be613d02b934d8e305dd2f93062fa6c glibc-2.2.5.tar.bz2 12404613
-MD5 33b9ae01d51263867d338adfba105278 glibc-linuxthreads-2.2.5.tar.bz2 168269
diff --git a/sys-libs/glibc/files/digest-glibc-2.3.1-r2 b/sys-libs/glibc/files/digest-glibc-2.3.1-r2
deleted file mode 100644
index a0effd0be274..000000000000
--- a/sys-libs/glibc/files/digest-glibc-2.3.1-r2
+++ /dev/null
@@ -1,2 +0,0 @@
-MD5 e8e7ffcb86f921c5b597008bf6f891bd glibc-2.3.1.tar.gz 17882515
-MD5 73a5b953b89c8ebeb534bf59822dde07 glibc-linuxthreads-2.3.1.tar.gz 244012
diff --git a/sys-libs/glibc/files/digest-glibc-2.3.1-r3 b/sys-libs/glibc/files/digest-glibc-2.3.1-r3
deleted file mode 100644
index a0effd0be274..000000000000
--- a/sys-libs/glibc/files/digest-glibc-2.3.1-r3
+++ /dev/null
@@ -1,2 +0,0 @@
-MD5 e8e7ffcb86f921c5b597008bf6f891bd glibc-2.3.1.tar.gz 17882515
-MD5 73a5b953b89c8ebeb534bf59822dde07 glibc-linuxthreads-2.3.1.tar.gz 244012
diff --git a/sys-libs/glibc/files/digest-glibc-2.3.2 b/sys-libs/glibc/files/digest-glibc-2.3.2
deleted file mode 100644
index 5347377ed3c8..000000000000
--- a/sys-libs/glibc/files/digest-glibc-2.3.2
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 ede969aad568f48083e413384f20753c glibc-2.3.2.tar.bz2 13377170
-MD5 894b8969cfbdf787c73e139782167607 glibc-linuxthreads-2.3.2.tar.bz2 216310
-MD5 d1f6f3b48ab60c753b6bdeec9208d393 nptl-0.29.tar.bz2 152937
diff --git a/sys-libs/glibc/glibc-2.2.5-r7.ebuild b/sys-libs/glibc/glibc-2.2.5-r7.ebuild
deleted file mode 100644
index f107e8173761..000000000000
--- a/sys-libs/glibc/glibc-2.2.5-r7.ebuild
+++ /dev/null
@@ -1,278 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/glibc/glibc-2.2.5-r7.ebuild,v 1.30 2003/03/11 11:34:14 zwelch Exp $
-
-IUSE="nls pic build"
-
-inherit flag-o-matic gcc
-
-filter-flags "-fomit-frame-pointer -malign-double"
-
-# Recently there has been a lot of stability problem in Gentoo-land. Many
-# things can be the cause to this, but I believe that it is due to gcc3
-# still having issues with optimizations, or with it not filtering bad
-# combinations (protecting the user maybe from himeself) yet.
-#
-# This can clearly be seen in large builds like glibc, where too aggressive
-# CFLAGS cause the tests to fail miserbly.
-#
-# Quote from Nick Jones <carpaski@gentoo.org>, who in my opinion
-# knows what he is talking about:
-#
-# People really shouldn't force code-specific options on... It's a
-# bad idea. The -march options aren't just to look pretty. They enable
-# options that are sensible (and include sse,mmx,3dnow when apropriate).
-#
-# The next command strips CFLAGS and CXXFLAGS from nearly all flags. If
-# you do not like it, comment it, but do not bugreport if you run into
-# problems.
-#
-# <azarah@gentoo.org> (13 Oct 2002)
-strip-flags
-
-S="${WORKDIR}/${P}"
-DESCRIPTION="GNU libc6 (also called glibc2) C library"
-SRC_URI="ftp://sources.redhat.com/pub/glibc/releases/glibc-${PV}.tar.bz2
- ftp://sources.redhat.com/pub/glibc/releases/glibc-linuxthreads-${PV}.tar.bz2"
-HOMEPAGE="http://www.gnu.org/software/libc/libc.html"
-
-KEYWORDS="x86 ppc sparc alpha arm"
-SLOT="2.2"
-LICENSE="GPL-2"
-
-# Portage-1.8.9 needed for smart library merging feature (avoids segfaults on glibc upgrade)
-# drobbins, 18 Mar 2002: we now rely on the system profile to select the correct linus-headers
-DEPEND="virtual/os-headers
- nls? ( sys-devel/gettext )"
-RDEPEND="virtual/os-headers
- sys-apps/baselayout
- nls? ( sys-devel/gettext )
- build? ( >=sys-apps/portage-1.9.0 )"
-
-PROVIDE="virtual/glibc"
-
-# Lock glibc at -O2 -- linuxthreads needs it and we want to be conservative here
-export CFLAGS="${CFLAGS//-O?} -O2"
-export CXXFLAGS="${CFLAGS}"
-
-src_unpack() {
- unpack glibc-${PV}.tar.bz2 || die
- cd ${S}
- #extract pre-made man pages. Otherwise we need perl, which is a no-no.
- mkdir man; cd man
- tar xjf ${FILESDIR}/glibc-manpages-${PV}.tar.bz2 > /dev/null || die
- cd ${S}
- unpack glibc-linuxthreads-${PV}.tar.bz2 || die
-
- # This patch apparently eliminates compiler warnings for some versions of gcc.
- # For information about the string2 patch, see:
- # http://lists.gentoo.org/pipermail/gentoo-dev/2001-June/001559.html
- einfo "Applying string2.h patch..."
- cd ${S}; patch -p0 < ${FILESDIR}/glibc-2.2.4-string2.h.diff > /dev/null || die
-
- # This next one is a new patch to fix thread signal handling. See:
- # http://sources.redhat.com/ml/libc-hacker/2002-02/msg00120.html
- # (Added by drobbins on 05 Mar 2002)
- einfo "Applying threadsig patch..."
- patch -p0 < ${FILESDIR}/${PV}/${P}-threadsig.diff > /dev/null || die
-
- # This next patch fixes a test that will timeout due to ReiserFS' slow handling of sparse files
- einfo "Applying test-lfs-timeout patch..."
- cd ${S}/io; patch -p0 < ${FILESDIR}/glibc-2.2.2-test-lfs-timeout.patch > /dev/null || die
-
- # A buffer overflow vulnerability exists in multiple implementations of DNS
- # resolver libraries. This affects glibc-2.2.5 and earlier. See bug #4923
- # and:
- #
- # http://www.cert.org/advisories/CA-2002-19.html
- einfo "Applying dns-network-overflow patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-dns-network-overflow.diff > /dev/null || die
-
- # Security update for sunrpc
- # <aliz@gentoo.org>
- einfo "Applying sunrpc-overflow patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-sunrpc-overflow.diff > /dev/null || die
-
- if [ "${ARCH}" = "x86" -o "${ARCH}" = "ppc" ]; then
- # This patch fixes the nvidia-glx probs, openoffice and vmware probs and such..
- # http://sources.redhat.com/ml/libc-hacker/2002-02/msg00152.html
- einfo "Applying divdi3 patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-divdi3.diff > /dev/null || die
- fi
-
- if [ "${ARCH}" = "ppc" ]; then
- # This patch fixes the absence of sqrtl on PPC
- # http://sources.redhat.com/ml/libc-hacker/2002-05/msg00012.html
- einfo "Applying ppc-sqrtl patch..."
- cd ${S}; patch -p0 < ${FILESDIR}/${PV}/${P}-ppc-sqrtl.diff > /dev/null || die
- fi
-
-
- # Some gcc-3.1.1 fixes. This works fine for other versions of gcc as well,
- # and should generally be ok, as it just fixes define order that causes scope
- # problems with gcc-3.1.1.
- # (Azarah, 14 Jul 2002)
- einfo "Applying gcc311 patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-gcc311.patch > /dev/null || die
-
- if [ "`gcc-major-version`" -eq "3" -a "`gcc-minor-version`" -ge "2" ]; then
- cd ${S}
- # http://archive.linuxfromscratch.org/mail-archives/lfs-dev/2002/08/0228.html
- # <azarah@gentoo.org> (13 Oct 2002)
- einfo "Applying divbyzero patch..."
- patch -p1 < ${FILESDIR}/${PV}/${P}.divbyzero.patch > /dev/null || die
- einfo "Applying restrict_arr patch..."
- patch -p1 < ${FILESDIR}/${PV}/${P}.restrict_arr.patch > /dev/null || die
- fi
-
- # Some patches to fixup build on alpha
- if [ "${ARCH}" = "alpha" ]; then
- cd ${S}
- einfo "Applying alpha-gcc3-fix patch..."
- patch -p1 < ${FILESDIR}/${PV}/${P}-alpha-gcc3-fix.diff > /dev/null || die
- einfo "Applying alpha-pcdyn-fix patch..."
- patch -p1 < ${FILESDIR}/${PV}/${P}-alpha-pcdyn-fix.diff > /dev/null || die
- fi
-
- # Some patches to fixup build on sparc
-
- if use sparc > /dev/null
- then
- einfo "Applying sparc-mathinline patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-sparc-mathinline.patch > /dev/null || die
-
- einfo "Applying sparc-misc patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-sparc-misc.diff > /dev/null || die
-
- if [ "${PROFILE_ARCH}" = "sparc64" ]
- then
- einfo "Applying seemant's -fixups patch..."
- cd ${S}; patch -p1 < ${FILESDIR}/${PV}/${P}-sparc64-fixups.diff > /dev/null || die
- fi
-
- einfo "Applying nall's sparc32-semctl patch..."
- cd ${S}
- patch -p1 < ${FILESDIR}/${PV}/${P}-sparc32-semctl.patch > /dev/null || die
- fi
-
- # Some patches to fixup build on arm
- if [ "${ARCH}" = "arm" ]; then
- cd ${S}
- einfo "Applying ARM sysdep patch..."
- patch -p0 < ${FILESDIR}/${PV}/${P}-arm-sysdeps-fix.diff || die
- einfo "Applying ARM errlist patch..."
- patch -p0 < ${FILESDIR}/${PV}/${P}-arm-errlist-fix.diff || die
- fi
-}
-
-src_compile() {
- local myconf=""
-
- # If we build for the build system we use the kernel headers from the target
- use build && myconf="${myconf} --with-headers=${ROOT}usr/include"
-
- use nls || myconf="${myconf} --disable-nls"
-
- einfo "Configuring GLIBC..."
- rm -rf buildhere
- mkdir buildhere
- cd buildhere
- ../configure --host=${CHOST} \
- --with-gd=no \
- --without-cvs \
- --enable-add-ons=linuxthreads \
- --disable-profile \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --libexecdir=/usr/lib/misc \
- ${myconf} || die
- # This next option breaks the Sun JDK and the IBM JDK
- # We should really keep compatibility with older kernels, anyway
- # --enable-kernel=2.4.0
-
- einfo "Building GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" || die
- einfo "Doing GLIBC checks..."
- make check
-}
-
-
-src_install() {
- export LC_ALL="C"
- einfo "Installing GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- install -C buildhere || die
-
- if [ -z "`use build`" ]
- then
- einfo "Installing Info pages..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- info -C buildhere || die
-
- einfo "Installing Locale data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- localedata/install-locales -C buildhere || die
-
- einfo "Installing man pages and docs..."
- # Install linuxthreads man pages
- dodir /usr/share/man/man3
- doman ${S}/man/*.3thr
-
- # Install nscd config file
- insinto /etc
- doins ${S}/nscd/nscd.conf
-
- dodoc BUGS ChangeLog* CONFORMANCE COPYING* FAQ INTERFACE \
- NEWS NOTES PROJECTS README*
- else
- rm -rf ${D}/usr/share ${D}/usr/lib/gconv
- fi
-
- if [ "`use pic`" ]
- then
- find ${S}/buildhere -name "soinit.os" -exec cp {} ${D}/lib/soinit.o \;
- find ${S}/buildhere -name "sofini.os" -exec cp {} ${D}/lib/sofini.o \;
- find ${S}/buildhere -name "*_pic.a" -exec cp {} ${D}/lib \;
- find ${S}/buildhere -name "*.map" -exec cp {} ${D}/lib \;
- for i in ${D}/lib/*.map
- do
- mv ${i} ${i%.map}_pic.map
- done
- fi
-
- # Is this next line actually needed or does the makefile get it right?
- # It previously has 0755 perms which was killing things.
- fperms 4755 /usr/lib/misc/pt_chown
-
- rm -f ${D}/etc/ld.so.cache
-
- # Prevent overwriting of the /etc/localtime symlink. We'll handle the
- # creation of the "factory" symlink in pkg_postinst().
- rm -f ${D}/etc/localtime
-
- # Some things want this, notably ash.
- dosym /usr/lib/libbsd-compat.a /usr/lib/libbsd.a
-}
-
-pkg_postinst() {
- # Correct me if I am wrong here, but my /etc/localtime is a file
- # created by zic ....
- # I am thinking that it should only be recreated if no /etc/localtime
- # exists, or if it is an invalid symlink.
- #
- # For invalid symlink:
- # -f && -e will fail
- # -L will succeed
- #
- if [ ! -e ${ROOT}/etc/localtime ]
- then
- echo "Please remember to set your timezone using the zic command."
- rm -f ${ROOT}/etc/localtime
- ln -s ../usr/share/zoneinfo/Factory ${ROOT}/etc/localtime
- fi
-}
-
diff --git a/sys-libs/glibc/glibc-2.3.1-r2.ebuild b/sys-libs/glibc/glibc-2.3.1-r2.ebuild
deleted file mode 100644
index 1c0ecf861a44..000000000000
--- a/sys-libs/glibc/glibc-2.3.1-r2.ebuild
+++ /dev/null
@@ -1,303 +0,0 @@
-# Copyright 1999-2003 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/glibc/glibc-2.3.1-r2.ebuild,v 1.21 2003/04/06 09:59:53 azarah Exp $
-
-IUSE="nls pic build"
-
-inherit eutils flag-o-matic gcc
-
-filter-flags "-fomit-frame-pointer -malign-double"
-
-# Sparc support ...
-replace-flags "-mcpu=ultrasparc" "-mcpu=v8"
-replace-flags "-mcpu=v9" "-mcpu=v8"
-
-# Recently there has been a lot of stability problem in Gentoo-land. Many
-# things can be the cause to this, but I believe that it is due to gcc3
-# still having issues with optimizations, or with it not filtering bad
-# combinations (protecting the user maybe from himeself) yet.
-#
-# This can clearly be seen in large builds like glibc, where too aggressive
-# CFLAGS cause the tests to fail miserbly.
-#
-# Quote from Nick Jones <carpaski@gentoo.org>, who in my opinion
-# knows what he is talking about:
-#
-# People really shouldn't force code-specific options on... It's a
-# bad idea. The -march options aren't just to look pretty. They enable
-# options that are sensible (and include sse,mmx,3dnow when apropriate).
-#
-# The next command strips CFLAGS and CXXFLAGS from nearly all flags. If
-# you do not like it, comment it, but do not bugreport if you run into
-# problems.
-#
-# <azarah@gentoo.org> (13 Oct 2002)
-strip-flags
-
-# Lock glibc at -O2 -- linuxthreads needs it and we want to be conservative here
-export CFLAGS="${CFLAGS//-O?} -O2"
-export CXXFLAGS="${CFLAGS}"
-
-S="${WORKDIR}/${P}"
-DESCRIPTION="GNU libc6 (also called glibc2) C library"
-SRC_URI="http://ftp.gnu.org/gnu/glibc/glibc-${PV}.tar.gz
- http://ftp.gnu.org/gnu/glibc/glibc-linuxthreads-${PV}.tar.gz"
-HOMEPAGE="http://www.gnu.org/software/libc/libc.html"
-
-KEYWORDS="x86 ppc sparc alpha mips hppa"
-# Is 99% compadible, just some .a's bork
-SLOT="2.2"
-LICENSE="GPL-2"
-
-# Portage-1.8.9 needed for smart library merging feature (avoids segfaults on glibc upgrade)
-# Drobbins, 18 Mar 2002: we now rely on the system profile to select the correct linus-headers
-DEPEND=">=sys-devel/gcc-3.2-r1
- >=sys-devel/binutils-2.13.90.0.16
- virtual/os-headers
- nls? ( sys-devel/gettext )"
-RDEPEND="virtual/os-headers
- sys-apps/baselayout
- nls? ( sys-devel/gettext )
- build? ( >=sys-apps/portage-1.9.0 )"
-
-PROVIDE="virtual/glibc"
-
-
-pkg_config() {
- if [ "`gcc-major-version`" -ne "3" -o "`gcc-minor-version`" -lt "2" ]
- then
- eerror "As of glibc-2.3, gcc-3.2 or later is needed"
- eerror "for the build to succeed."
- die "GCC too old"
- fi
-}
-
-src_unpack() {
- unpack glibc-${PV}.tar.gz || die
- # Extract pre-made man pages. Otherwise we need perl, which is a no-no.
- mkdir -p ${S}/man; cd ${S}/man
- tar xjf ${FILESDIR}/glibc-manpages-${PV}.tar.bz2 || die
- cd ${S}
- unpack glibc-linuxthreads-${PV}.tar.gz || die
-
- # This next patch fixes a test that will timeout due to ReiserFS' slow handling of sparse files
- cd ${S}/io; epatch ${FILESDIR}/glibc-2.2.2-test-lfs-timeout.patch
-
- # This add back glibc 2.2 compadibility. See bug #8766 and #9586 for more info,
- # and also:
- #
- # http://lists.debian.org/debian-glibc/2002/debian-glibc-200210/msg00093.html
- #
- # We should think about remoing it in the future after things have settled.
- #
- # Thanks to Jan Gutter <jangutter@tuks.co.za> for reporting it.
- #
- # <azarah@gentoo.org> (26 Oct 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-ctype-compat-v3.patch
-
- # One more compat issue which breaks sun-jdk-1.3.1. See bug #8766 for more
- # info, and also:
- #
- # http://sources.redhat.com/ml/libc-alpha/2002-04/msg00143.html
- #
- # Thanks to Jan Gutter <jangutter@tuks.co.za> for reporting it.
- #
- # <azarah@gentoo.org> (30 Oct 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-libc_wait-compat.patch
-
- # One more compat issue ... libc_stack_end is missing from ld.so.
- # Got this one from diffing redhat glibc tarball .. would help if
- # they used patches and not modified tarball ...
- #
- # <azarah@gentoo.org> (7 Nov 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-stack_end-compat.patch
-
- # This one fixes a corner case with prelinking and preloading
- # This is a diff from the glibc CVS
- # http://sources.redhat.com/ml/libc-alpha/2002-11/msg00151.html
- # <cretin@gentoo.org> (17 Nov 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-prelinkfix.patch
-
- # Fix 'locale -a' not listing all locales. This to Stefan Jones
- # <cretin@gentoo.org> for this fix, bug #13240.
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-locale.patch
-
- # Fix problems with ORACLE, bug #16504
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-typeo_dl-runtime_c.patch
-
- # A few patches only for the MIPS platform. Descriptions of what they
- # do can be found in the patch headers.
- # <tuxus@gentoo.org> thx <dragon@gentoo.org> (11 Jan 2003)
- if [ "${ARCH}" = "mips" ]
- then
- cd ${S}
- epatch ${FILESDIR}/${PV}/${P}-elf-machine-rela-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-exit-syscall-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-fpu-cw-mips.patch
-# epatch ${FILESDIR}/${PV}/${P}-inline-syscall-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-libgcc-compat-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-librt-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-tst-rndseek-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-ulps-mips.patch
- fi
- # Some patches for hppa.
- # <gmsoft@gentoo.org> (27 Jan 2003)
- if [ "${ARCH}" = "hppa" ]
- then
- cd ${S}
- epatch ${FILESDIR}/${PV}/glibc23-00-hppa-pthreads.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-01-hppa-dl-machine.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-02-hppa-min-kern-unwind-fde.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-03-hppa-mcontext.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-04-hppa-fcntl64.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-05-hppa-buildhack.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-06-hppa-tests.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-07-hppa-atomicity.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-08-hppa-configure.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-hppa-shmlba.dpatch
- fi
-
-}
-
-src_compile() {
- local myconf=""
-
- # If we build for the build system we use the kernel headers from the target
- ( use build || use sparc ) \
- && myconf="${myconf} --with-headers=${ROOT}usr/include"
- # Set it without "build" as well, else it might use the current kernel's
- # headers, which might just fail (the linux-headers package is usually well
- # tested...)
-
- use nls || myconf="${myconf} --disable-nls"
-
- # Thread Local Storage support. This dont really work as of yet...
-# use x86 && use tls \
-# && myconf="${myconf} --with-tls"
- myconf="${myconf} --without-tls --without-__thread"
-
- if [ "`uname -r | cut -d. -f2`" -ge "4" ]
- then
- myconf="${myconf} --enable-kernel=2.4.0"
- fi
-
- # This should not be done for: ia64 s390 s390x
-# use x86 && CFLAGS="${CFLAGS} -freorder-blocks"
-
- einfo "Configuring GLIBC..."
- rm -rf buildhere
- mkdir buildhere
- cd buildhere
- ../configure --host=${CHOST} \
- --with-gd=no \
- --without-cvs \
- --enable-add-ons=yes \
- --disable-profile \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --libexecdir=/usr/lib/misc \
- ${myconf} || die
-
- einfo "Building GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" || die
-# einfo "Doing GLIBC checks..."
-# make check
-}
-
-
-src_install() {
- export LC_ALL="C"
- einfo "Installing GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- install -C buildhere || die
-
- if [ -z "`use build`" ]
- then
- einfo "Installing Info pages..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- info -C buildhere || die
-
- einfo "Installing Locale data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- localedata/install-locales -C buildhere || die
-
- einfo "Installing man pages and docs..."
- # Install linuxthreads man pages
- dodir /usr/share/man/man3
- doman ${S}/man/*.3thr
-
- # Install nscd config file
- insinto /etc
- doins ${S}/nscd/nscd.conf
-
- dodoc BUGS ChangeLog* CONFORMANCE COPYING* FAQ INTERFACE \
- NEWS NOTES PROJECTS README*
- else
- rm -rf ${D}/usr/share ${D}/usr/lib/gconv
-
- einfo "Installing Timezone data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- timezone/install-others -C buildhere || die
- fi
-
- if [ "`use pic`" ]
- then
- find ${S}/buildhere -name "soinit.os" -exec cp {} ${D}/lib/soinit.o \;
- find ${S}/buildhere -name "sofini.os" -exec cp {} ${D}/lib/sofini.o \;
- find ${S}/buildhere -name "*_pic.a" -exec cp {} ${D}/lib \;
- find ${S}/buildhere -name "*.map" -exec cp {} ${D}/lib \;
- for i in ${D}/lib/*.map
- do
- mv ${i} ${i%.map}_pic.map
- done
- fi
-
- # Is this next line actually needed or does the makefile get it right?
- # It previously has 0755 perms which was killing things.
- fperms 4755 /usr/lib/misc/pt_chown
-
- rm -f ${D}/etc/ld.so.cache
-
- # Prevent overwriting of the /etc/localtime symlink. We'll handle the
- # creation of the "factory" symlink in pkg_postinst().
- rm -f ${D}/etc/localtime
-
- # Some things want this, notably ash.
- dosym /usr/lib/libbsd-compat.a /usr/lib/libbsd.a
-}
-
-pkg_postinst() {
- # Correct me if I am wrong here, but my /etc/localtime is a file
- # created by zic ....
- # I am thinking that it should only be recreated if no /etc/localtime
- # exists, or if it is an invalid symlink.
- #
- # For invalid symlink:
- # -f && -e will fail
- # -L will succeed
- #
- if [ ! -e ${ROOT}/etc/localtime ]
- then
- echo "Please remember to set your timezone using the zic command."
- rm -f ${ROOT}/etc/localtime
- ln -s ../usr/share/zoneinfo/Factory ${ROOT}/etc/localtime
- fi
-
- # Generate fastloading iconv module configuration file.
- if [ -x ${ROOT}/usr/sbin/iconvconfig ]
- then
- ${ROOT}/usr/sbin/iconvconfig --prefix=${ROOT}
- fi
-
- # Reload init ...
- if [ "${ROOT}" = "/" ]
- then
- /sbin/init U &> /dev/null
- fi
-}
-
diff --git a/sys-libs/glibc/glibc-2.3.1-r3.ebuild b/sys-libs/glibc/glibc-2.3.1-r3.ebuild
deleted file mode 100644
index 56ccd08fbaae..000000000000
--- a/sys-libs/glibc/glibc-2.3.1-r3.ebuild
+++ /dev/null
@@ -1,313 +0,0 @@
-# Copyright 1999-2003 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/glibc/glibc-2.3.1-r3.ebuild,v 1.9 2003/04/06 09:59:53 azarah Exp $
-
-IUSE="nls pic build"
-
-inherit eutils flag-o-matic gcc
-
-filter-flags "-fomit-frame-pointer -malign-double"
-
-# Sparc support ...
-replace-flags "-mcpu=ultrasparc" "-mcpu=v8"
-replace-flags "-mcpu=v9" "-mcpu=v8"
-
-# Recently there has been a lot of stability problem in Gentoo-land. Many
-# things can be the cause to this, but I believe that it is due to gcc3
-# still having issues with optimizations, or with it not filtering bad
-# combinations (protecting the user maybe from himeself) yet.
-#
-# This can clearly be seen in large builds like glibc, where too aggressive
-# CFLAGS cause the tests to fail miserbly.
-#
-# Quote from Nick Jones <carpaski@gentoo.org>, who in my opinion
-# knows what he is talking about:
-#
-# People really shouldn't force code-specific options on... It's a
-# bad idea. The -march options aren't just to look pretty. They enable
-# options that are sensible (and include sse,mmx,3dnow when apropriate).
-#
-# The next command strips CFLAGS and CXXFLAGS from nearly all flags. If
-# you do not like it, comment it, but do not bugreport if you run into
-# problems.
-#
-# <azarah@gentoo.org> (13 Oct 2002)
-strip-flags
-
-# Lock glibc at -O2 -- linuxthreads needs it and we want to be conservative here
-export CFLAGS="${CFLAGS//-O?} -O2"
-export CXXFLAGS="${CFLAGS}"
-
-S="${WORKDIR}/${P}"
-DESCRIPTION="GNU libc6 (also called glibc2) C library"
-SRC_URI="http://ftp.gnu.org/gnu/glibc/glibc-${PV}.tar.gz
- http://ftp.gnu.org/gnu/glibc/glibc-linuxthreads-${PV}.tar.gz"
-HOMEPAGE="http://www.gnu.org/software/libc/libc.html"
-
-KEYWORDS="~x86 ~ppc sparc ~alpha ~mips ~hppa"
-# Is 99% compadible, just some .a's bork
-SLOT="2.2"
-LICENSE="GPL-2"
-
-# Portage-1.8.9 needed for smart library merging feature (avoids segfaults on glibc upgrade)
-# Drobbins, 18 Mar 2002: we now rely on the system profile to select the correct linus-headers
-DEPEND=">=sys-devel/gcc-3.2-r1
- >=sys-devel/binutils-2.13.90.0.16
- virtual/os-headers
- nls? ( sys-devel/gettext )"
-RDEPEND="virtual/os-headers
- sys-apps/baselayout
- nls? ( sys-devel/gettext )
- build? ( >=sys-apps/portage-1.9.0 )"
-
-PROVIDE="virtual/glibc"
-
-
-pkg_config() {
- if [ "`gcc-major-version`" -ne "3" -o "`gcc-minor-version`" -lt "2" ]
- then
- eerror "As of glibc-2.3, gcc-3.2 or later is needed"
- eerror "for the build to succeed."
- die "GCC too old"
- fi
-}
-
-src_unpack() {
- unpack glibc-${PV}.tar.gz || die
- # Extract pre-made man pages. Otherwise we need perl, which is a no-no.
- mkdir -p ${S}/man; cd ${S}/man
- tar xjf ${FILESDIR}/glibc-manpages-${PV}.tar.bz2 || die
- cd ${S}
- unpack glibc-linuxthreads-${PV}.tar.gz || die
-
- # This next patch fixes a test that will timeout due to ReiserFS' slow handling of sparse files
- cd ${S}/io; epatch ${FILESDIR}/glibc-2.2.2-test-lfs-timeout.patch
-
- # This add back glibc 2.2 compadibility. See bug #8766 and #9586 for more info,
- # and also:
- #
- # http://lists.debian.org/debian-glibc/2002/debian-glibc-200210/msg00093.html
- #
- # We should think about remoing it in the future after things have settled.
- #
- # Thanks to Jan Gutter <jangutter@tuks.co.za> for reporting it.
- #
- # <azarah@gentoo.org> (26 Oct 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-ctype-compat-v3.patch
-
- # One more compat issue which breaks sun-jdk-1.3.1. See bug #8766 for more
- # info, and also:
- #
- # http://sources.redhat.com/ml/libc-alpha/2002-04/msg00143.html
- #
- # Thanks to Jan Gutter <jangutter@tuks.co.za> for reporting it.
- #
- # <azarah@gentoo.org> (30 Oct 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-libc_wait-compat.patch
-
- # One more compat issue ... libc_stack_end is missing from ld.so.
- # Got this one from diffing redhat glibc tarball .. would help if
- # they used patches and not modified tarball ...
- #
- # <azarah@gentoo.org> (7 Nov 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-stack_end-compat.patch
-
- # This one fixes a corner case with prelinking and preloading
- # This is a diff from the glibc CVS
- # http://sources.redhat.com/ml/libc-alpha/2002-11/msg00151.html
- # <cretin@gentoo.org> (17 Nov 2002).
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-prelinkfix.patch
-
- # Fix 'locale -a' not listing all locales. This to Stefan Jones
- # <cretin@gentoo.org> for this fix, bug #13240.
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-locale.patch
-
- # Fix problems with ORACLE, bug #16504
- cd ${S}; epatch ${FILESDIR}/${PV}/${P}-typeo_dl-runtime_c.patch
-
- # A few patches only for the MIPS platform. Descriptions of what they
- # do can be found in the patch headers.
- # <tuxus@gentoo.org> thx <dragon@gentoo.org> (11 Jan 2003)
- if [ "${ARCH}" = "mips" ]
- then
- cd ${S}
- epatch ${FILESDIR}/${PV}/${P}-elf-machine-rela-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-exit-syscall-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-fpu-cw-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-inline-syscall-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-libgcc-compat-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-librt-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-tst-rndseek-mips.patch
- epatch ${FILESDIR}/${PV}/${P}-ulps-mips.patch
- fi
-
- # Some patches for hppa.
- # <gmsoft@gentoo.org> (27 Jan 2003)
- if [ "${ARCH}" = "hppa" ]
- then
- cd ${S}
- epatch ${FILESDIR}/${PV}/glibc23-00-hppa-pthreads.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-01-hppa-dl-machine.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-02-hppa-min-kern-unwind-fde.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-03-hppa-mcontext.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-04-hppa-fcntl64.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-05-hppa-buildhack.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-06-hppa-tests.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-07-hppa-atomicity.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-08-hppa-configure.dpatch
- epatch ${FILESDIR}/${PV}/glibc23-hppa-shmlba.dpatch
- fi
-
-
-}
-
-src_compile() {
- local myconf=""
-
- # These should not be set, else the
- # zoneinfo do not always get installed ...
- unset LANGUAGE LANG LC_ALL
-
- # If we build for the build system we use the kernel headers from the target
-# ( use build || use sparc ) \
-# && myconf="${myconf} --with-headers=${ROOT}usr/include"
- myconf="${myconf} --with-headers=${ROOT}usr/include"
- # Set it without "build" as well, else it might use the current kernel's
- # headers, which might just fail (the linux-headers package is usually well
- # tested...)
-
- use nls || myconf="${myconf} --disable-nls"
-
- # Thread Local Storage support. This dont really work as of yet...
-# use x86 && use tls \
-# && myconf="${myconf} --with-tls"
- myconf="${myconf} --without-tls --without-__thread"
-
- if [ "`uname -r | cut -d. -f2`" -ge "4" ]
- then
- myconf="${myconf} --enable-kernel=2.4.0"
- fi
-
- # This should not be done for: ia64 s390 s390x
-# use x86 && CFLAGS="${CFLAGS} -freorder-blocks"
-
- einfo "Configuring GLIBC..."
- rm -rf buildhere
- mkdir buildhere
- cd buildhere
- ../configure --host=${CHOST} \
- --with-gd=no \
- --without-cvs \
- --enable-add-ons=yes \
- --disable-profile \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --libexecdir=/usr/lib/misc \
- ${myconf} || die
-
- einfo "Building GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" || die
-# einfo "Doing GLIBC checks..."
-# make check
-}
-
-
-src_install() {
- # These should not be set, else the
- # zoneinfo do not always get installed ...
- unset LANGUAGE LANG LC_ALL
-
- einfo "Installing GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- install -C buildhere || die
-
- if [ -z "`use build`" ]
- then
- einfo "Installing Info pages..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- info -C buildhere || die
-
- einfo "Installing Locale data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- localedata/install-locales -C buildhere || die
-
- einfo "Installing man pages and docs..."
- # Install linuxthreads man pages
- dodir /usr/share/man/man3
- doman ${S}/man/*.3thr
-
- # Install nscd config file
- insinto /etc
- doins ${S}/nscd/nscd.conf
-
- dodoc BUGS ChangeLog* CONFORMANCE COPYING* FAQ INTERFACE \
- NEWS NOTES PROJECTS README*
- else
- rm -rf ${D}/usr/share ${D}/usr/lib/gconv
-
- einfo "Installing Timezone data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- timezone/install-others -C buildhere || die
- fi
-
- if [ "`use pic`" ]
- then
- find ${S}/buildhere -name "soinit.os" -exec cp {} ${D}/lib/soinit.o \;
- find ${S}/buildhere -name "sofini.os" -exec cp {} ${D}/lib/sofini.o \;
- find ${S}/buildhere -name "*_pic.a" -exec cp {} ${D}/lib \;
- find ${S}/buildhere -name "*.map" -exec cp {} ${D}/lib \;
- for i in ${D}/lib/*.map
- do
- mv ${i} ${i%.map}_pic.map
- done
- fi
-
- # Is this next line actually needed or does the makefile get it right?
- # It previously has 0755 perms which was killing things.
- fperms 4755 /usr/lib/misc/pt_chown
-
- rm -f ${D}/etc/ld.so.cache
-
- # Prevent overwriting of the /etc/localtime symlink. We'll handle the
- # creation of the "factory" symlink in pkg_postinst().
- rm -f ${D}/etc/localtime
-
- # Some things want this, notably ash.
- dosym /usr/lib/libbsd-compat.a /usr/lib/libbsd.a
-}
-
-pkg_postinst() {
- # Correct me if I am wrong here, but my /etc/localtime is a file
- # created by zic ....
- # I am thinking that it should only be recreated if no /etc/localtime
- # exists, or if it is an invalid symlink.
- #
- # For invalid symlink:
- # -f && -e will fail
- # -L will succeed
- #
- if [ ! -e ${ROOT}/etc/localtime ]
- then
- echo "Please remember to set your timezone using the zic command."
- rm -f ${ROOT}/etc/localtime
- ln -s ../usr/share/zoneinfo/Factory ${ROOT}/etc/localtime
- fi
-
- # Generate fastloading iconv module configuration file.
- if [ -x ${ROOT}/usr/sbin/iconvconfig ]
- then
- ${ROOT}/usr/sbin/iconvconfig --prefix=${ROOT}
- fi
-
- # Reload init ...
- if [ "${ROOT}" = "/" ]
- then
- /sbin/init U &> /dev/null
- fi
-}
-
diff --git a/sys-libs/glibc/glibc-2.3.2.ebuild b/sys-libs/glibc/glibc-2.3.2.ebuild
deleted file mode 100644
index 870843ed090f..000000000000
--- a/sys-libs/glibc/glibc-2.3.2.ebuild
+++ /dev/null
@@ -1,506 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/glibc/glibc-2.3.2.ebuild,v 1.6 2003/05/14 20:30:20 azarah Exp $
-
-IUSE="nls pic build nptl"
-
-inherit eutils flag-o-matic gcc
-
-filter-flags "-fomit-frame-pointer -malign-double"
-
-# Recently there has been a lot of stability problem in Gentoo-land. Many
-# things can be the cause to this, but I believe that it is due to gcc3
-# still having issues with optimizations, or with it not filtering bad
-# combinations (protecting the user maybe from himeself) yet.
-#
-# This can clearly be seen in large builds like glibc, where too aggressive
-# CFLAGS cause the tests to fail miserbly.
-#
-# Quote from Nick Jones <carpaski@gentoo.org>, who in my opinion
-# knows what he is talking about:
-#
-# People really shouldn't force code-specific options on... It's a
-# bad idea. The -march options aren't just to look pretty. They enable
-# options that are sensible (and include sse,mmx,3dnow when apropriate).
-#
-# The next command strips CFLAGS and CXXFLAGS from nearly all flags. If
-# you do not like it, comment it, but do not bugreport if you run into
-# problems.
-#
-# <azarah@gentoo.org> (13 Oct 2002)
-strip-flags
-
-# Lock glibc at -O2 -- linuxthreads needs it and we want to be conservative here
-export CFLAGS="${CFLAGS//-O?} -O2"
-export CXXFLAGS="${CFLAGS}"
-
-NPTL_VER="0.29"
-
-# Minimum kernel version for --enable-kernel
-export MIN_KV="2.4.1"
-# Minimum kernel version for enabling TLS and NPTL ...
-# NOTE: do not change this if you do not know what
-# you are doing !
-export MIN_NPTL_KV="2.5.50"
-
-MY_PV="${PV/_}"
-S="${WORKDIR}/${P%_*}"
-DESCRIPTION="GNU libc6 (also called glibc2) C library"
-SRC_URI="http://ftp.gnu.org/gnu/glibc/glibc-${MY_PV}.tar.bz2
- ftp://sources.redhat.com/pub/glibc/snapshots/glibc-${MY_PV}.tar.bz2
- http://ftp.gnu.org/gnu/glibc/glibc-linuxthreads-${MY_PV}.tar.bz2
- ftp://sources.redhat.com/pub/glibc/snapshots/glibc-linuxthreads-${MY_PV}.tar.bz2
- nptl? ( http://people.redhat.com/drepper/nptl/nptl-${NPTL_VER}.tar.bz2 )"
-HOMEPAGE="http://www.gnu.org/software/libc/libc.html"
-
-KEYWORDS="~x86 ~ppc -sparc ~alpha ~hppa ~arm"
-# Is 99% compadible, just some .a's bork
-SLOT="2.2"
-LICENSE="GPL-2"
-
-# Portage-1.8.9 needed for smart library merging feature (avoids segfaults on glibc upgrade)
-# Drobbins, 18 Mar 2002: we now rely on the system profile to select the correct linus-headers
-DEPEND=">=sys-devel/gcc-3.2.2
- nptl? ( >=sys-devel/gcc-3.2.2-r1 )
- mips? >=sys-devel/binutils-2.13.90.0.16 : >=sys-devel/binutils-2.13.90.0.18
- virtual/os-headers
- nls? ( sys-devel/gettext )"
-RDEPEND="virtual/os-headers
- sys-apps/baselayout
- nls? ( sys-devel/gettext )
- build? ( >=sys-apps/portage-1.9.0 )"
-
-PROVIDE="virtual/glibc"
-
-
-# Convert a string type kernel version (2.4.0) to an int (132096)
-# for easy compairing or versions ...
-KV_to_int() {
- [ -z "$1" ] && return 1
-
- local KV="`echo $1 | \
- awk '{ tmp = $0; gsub(/^[0-9\.]*/, "", tmp); sub(tmp, ""); print }'`"
- local KV_MAJOR="`echo "${KV}" | cut -d. -f1`"
- local KV_MINOR="`echo "${KV}" | cut -d. -f2`"
- local KV_MICRO="`echo "${KV}" | cut -d. -f3`"
- local KV_int="$((KV_MAJOR * 65536 + KV_MINOR * 256 + KV_MICRO))"
-
- # We make version 2.2.0 the minimum version we will handle as
- # a sanity check ... if its less, we fail ...
- if [ "${KV_int}" -ge "131584" ]
- then
- echo "${KV_int}"
-
- return 0
- else
- return 1
- fi
-}
-
-get_KV() {
- local KV="`uname -r`"
-
- echo "`KV_to_int ${KV}`"
-
- return $?
-}
-
-# Try to get a kernel source tree with version equal or greater
-# than $1. We basically just try a few default locations. The
-# version need to be that which KV_to_int() returns ...
-get_KHV() {
- local headers=""
-
- [ -z "$1" ] && return 1
-
- # - First check if linux-headers are installed (or symlink
- # to current kernel ...)
- # - Ok, do we have access to the current kernel's headers ?
- # - Last option ... maybe its a weird bootstrap with /lib
- # binded to the chroot ...
-
- # We do not really support more than 2 arguments ...
- if [ -n "$2" ]
- then
- headers="$2"
- else
- # We try to find the current kernel's headers first,
- # as we would rather build against linux 2.5 headers ...
- headers="/lib/modules/`uname -r`/build/include \
- ${ROOT}/lib/modules/`uname -r`/build/include \
- /usr/src/linux/include \
- ${ROOT}/usr/src/linux/include \
- ${ROOT}/usr/include"
- fi
-
- for x in ${headers}
- do
- local header="${x}/linux/version.h"
-
- if [ -f ${header} ]
- then
-
- local version="`grep 'LINUX_VERSION_CODE' ${header} | \
- sed -e 's:^.*LINUX_VERSION_CODE[[:space:]]*::'`"
-
- if [ "${version}" -ge "$1" ]
- then
- echo "${x}"
-
- return 0
- fi
- fi
- done
-
- return 1
-}
-
-use_nptl() {
- # Enable NPTL support if:
- # - We have 'nptl' in USE
- # - We have 'x86' in USE
- # - We have linux-2.4 or later kernel (should prob check for 2.4.20 ...)
- # - We have a CHOST of "i686-pc-linux-gnu"
- if [ -n "`use nptl`" -a "`use x86`" -a \
- "`get_KV`" -ge "`KV_to_int ${MIN_NPTL_KV}`" -a "${CHOST/-*}" = "i686" ]
- then
- return 0
- else
- return 1
- fi
-}
-
-pkg_setup() {
- # We need gcc 3.2 or later ...
- if [ "`gcc-major-version`" -ne "3" -o "`gcc-minor-version`" -lt "2" ]
- then
- echo
- eerror "As of glibc-2.3, gcc-3.2 or later is needed"
- eerror "for the build to succeed."
- die "GCC too old"
- fi
-
- if use_nptl
- then
- echo
-
- # The use_nptl should have already taken care of kernel version,
- # arch and CHOST, so now just check if we can find suitable kernel
- # source tree or headers ....
- einfon "Checking for sufficient version kernel headers ... "
- if ! get_KHV "`KV_to_int ${MIN_NPTL_KV}`" &> /dev/null
- then
- echo "no"
- echo
- eerror "Could not find a kernel source tree or headers with"
- eerror "version ${MIN_NPTL_KV} or later! Please correct this"
- eerror "and try again."
- die "Insufficient kernel headers present!"
- else
- echo "yes"
- fi
-
- einfon "Checking gcc for __thread support ... "
- if ! gcc -c ${FILESDIR}/test-__thread.c -o ${T}/test.o &> /dev/null
- then
- echo "no"
- echo
- eerror "Could not find a gcc that supports the __thread directive!"
- eerror "please update to gcc-3.2.2-r1 or later, and try again."
- die "No __thread support in gcc!"
- else
- echo "yes"
- fi
-
- # Default disclaimer ...
- echo
- ewarn "Please note that NPTL support is still very experimental,"
- ewarn "and could break your system! Press ^C now if you do not know"
- ewarn "what you are doing, and remove \"nptl\" from your USE ..."
- echo
- ewarn "As a final note ... it does NOT work with NVidia GLX!!"
- sleep 5
-
- elif use nptl &> /dev/null
- then
- # Just tell the user not to expect too much ...
- ewarn "You have \"nptl\" in your USE, but your kernel version or"
- ewarn "architecture do not support it!"
- fi
-}
-
-src_unpack() {
- unpack glibc-${MY_PV}.tar.bz2
-
- # Extract pre-made man pages. Otherwise we need perl, which is a no-no.
- mkdir -p ${S}/man; cd ${S}/man
- use_nptl || tar xjf ${FILESDIR}/glibc-manpages-${MY_PV}.tar.bz2
-
- cd ${S}
- # Extract our threads package ...
- if use_nptl
- then
- unpack nptl-${NPTL_VER}.tar.bz2
- else
- unpack glibc-linuxthreads-${MY_PV}.tar.bz2
- fi
-
- # This next patch fixes a test that will timeout due to ReiserFS' slow handling of sparse files
-# cd ${S}/io; epatch ${FILESDIR}/glibc-2.2.2-test-lfs-timeout.patch
-
- # This add back glibc 2.2 compadibility. See bug #8766 and #9586 for more info,
- # and also:
- #
- # http://lists.debian.org/debian-glibc/2002/debian-glibc-200210/msg00093.html
- #
- # We should think about remoing it in the future after things have settled.
- #
- # Thanks to Jan Gutter <jangutter@tuks.co.za> for reporting it.
- #
- # <azarah@gentoo.org> (26 Oct 2002).
- cd ${S}; epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-ctype-compat-v3.patch
-
- # One more compat issue which breaks sun-jdk-1.3.1. See bug #8766 for more
- # info, and also:
- #
- # http://sources.redhat.com/ml/libc-alpha/2002-04/msg00143.html
- #
- # Thanks to Jan Gutter <jangutter@tuks.co.za> for reporting it.
- #
- # <azarah@gentoo.org> (30 Oct 2002).
- cd ${S}; epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-libc_wait-compat.patch
-
- # One more compat issue ... libc_stack_end is missing from ld.so.
- # Got this one from diffing redhat glibc tarball .. would help if
- # they used patches and not modified tarball ...
- #
- # <azarah@gentoo.org> (7 Nov 2002).
- cd ${S}; epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-stack_end-compat.patch
-
- # A few patches only for the MIPS platform. Descriptions of what they
- # do can be found in the patch headers.
- # <tuxus@gentoo.org> thx <dragon@gentoo.org> (11 Jan 2003)
- # <kumba@gentoo.org> remove tst-rndseek-mips & ulps-mips patches
- if [ "${ARCH}" = "mips" ]
- then
- cd ${S}
- epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-elf-machine-rela-mips.patch
- epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-exit-syscall-mips.patch
- epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-fpu-cw-mips.patch
- epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-inline-syscall-mips.patch
- epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-libgcc-compat-mips.patch
- epatch ${FILESDIR}/2.3.1/${PN}-2.3.1-librt-mips.patch
- fi
-}
-
-setup_flags() {
- # -freorder-blocks for all but ia64 s390 s390x
- use ppc || append-flags "-freorder-blocks"
-
- # Sparc support ...
- replace-flags "-mcpu=ultrasparc" "-mcpu=v8 -mtune=ultrasparc"
- replace-flags "-mcpu=v9" "-mcpu=v8 -mtune=v9"
-
- # -mvis for sparc64 (should this be always, or only with 64bit userspace ?
- [ "${PROFILE_ARCH}" = "sparc64" ] && append-flags "-mvis"
-
- # -fcall-used-g7 for sparc and sparc64
- use sparc && append-flags "-fcall-used-g7"
-}
-
-src_compile() {
- local myconf=""
- local myconf_nptl=""
-
- setup_flags
-
- # These should not be set, else the
- # zoneinfo do not always get installed ...
- unset LANGUAGE LANG LC_ALL
-
- use nls || myconf="${myconf} --disable-nls"
-
- if use_nptl
- then
- local kernelheaders="$(get_KHV "`KV_to_int ${MIN_NPTL_KV}`")"
-
- # NTPL and Thread Local Storage support.
- myconf="${myconf} --with-tls --with-__thread \
- --enable-add-ons=nptl \
- --enable-kernel=${MIN_NPTL_KV} \
- --with-headers=${kernelheaders}"
- else
- myconf="${myconf} --without-tls --without-__thread \
- --enable-add-ons=linuxthreads"
-
- # If we build for the build system we use the kernel headers from the target
- # We also now set it without "build" as well, else it might use the
- # current kernel's headers, which might just fail (the linux-headers
- # package is usually well tested...)
-# ( use build || use sparc ) \
-# && myconf="${myconf} --with-headers=${ROOT}usr/include"
- myconf="${myconf} --with-headers=${ROOT}usr/include"
-
- # If kernel version and headers in ${ROOT}/usr/include are ok,
- # then enable --enable-kernel=${MIN_KV} ...
- if [ "`get_KV`" -ge "`KV_to_int ${MIN_KV}`" -a \
- -n "$(get_KHV "`KV_to_int ${MIN_KV}`" "${ROOT}/usr/include")" ]
- then
- myconf="${myconf} --enable-kernel=${MIN_KV}"
- else
- myconf="${myconf} --enable-kernel=2.2.5"
- fi
- fi
-
- einfo "Configuring GLIBC..."
- rm -rf ${S}/buildhere
- mkdir -p ${S}/buildhere
- cd ${S}/buildhere
- ../configure --build=${CHOST} \
- --host=${CHOST} \
- --with-gd=no \
- --without-cvs \
- --disable-profile \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --libexecdir=/usr/lib/misc \
- ${myconf} || die
-
- einfo "Building GLIBC..."
- cd ${S}/buildhere
- make PARALLELMFLAGS="${MAKEOPTS}" || die
-# einfo "Doing GLIBC checks..."
-# make check
-}
-
-src_install() {
- local buildtarget="buildhere"
-
- setup_flags
-
- # These should not be set, else the
- # zoneinfo do not always get installed ...
- unset LANGUAGE LANG LC_ALL
-
- einfo "Installing GLIBC..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- install -C ${buildtarget} || die
-
- # If librt.so is a symlink, change it into linker script (Redhat)
- if [ -L ${D}/usr/lib/librt.so ]
- then
- local LIBRTSO="`cd ${D}/lib; echo librt.so.*`"
- local LIBPTHREADSO="`cd ${D}/lib; echo libpthread.so.*`"
-
- rm -f ${D}/usr/lib/librt.so
- cat > ${D}/usr/lib/librt.so <<EOF
-/* GNU ld script
- librt.so.1 needs libpthread.so.0 to come before libc.so.6*
- in search scope. */
-EOF
- grep "OUTPUT_FORMAT" ${D}/usr/lib/libc.so >> ${D}/usr/lib/librt.so
- echo "GROUP ( /lib/${LIBPTHREADSO} /lib/${LIBRTSO} )" \
- >> ${D}/usr/lib/librt.so
- fi
-
- if [ -z "`use build`" ]
- then
- einfo "Installing Info pages..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- info -C ${buildtarget} || die
-
- einfo "Installing Locale data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- localedata/install-locales -C ${buildtarget} || die
-
- # Compatibility hack: this locale has vanished from glibc,
- # but some other programs are still using it.
- keepdir /usr/lib/locale/ru_RU/LC_MESSAGES
-
- einfo "Installing man pages and docs..."
- # Install linuxthreads man pages
- use_nptl || {
- dodir /usr/share/man/man3
- doman ${S}/man/*.3thr
- }
-
- # Install nscd config file
- insinto /etc
- doins ${FILESDIR}/nscd.conf
-
- dodoc BUGS ChangeLog* CONFORMANCE COPYING* FAQ INTERFACE \
- NEWS NOTES PROJECTS README*
- else
- rm -rf ${D}/usr/share ${D}/usr/lib/gconv
-
- einfo "Installing Timezone data..."
- make PARALLELMFLAGS="${MAKEOPTS}" \
- install_root=${D} \
- timezone/install-others -C ${buildtarget} || die
- fi
-
- if [ "`use pic`" ]
- then
- find ${S}/${buildtarget}/ -name "soinit.os" -exec cp {} ${D}/lib/soinit.o \;
- find ${S}/${buildtarget}/ -name "sofini.os" -exec cp {} ${D}/lib/sofini.o \;
- find ${S}/${buildtarget}/ -name "*_pic.a" -exec cp {} ${D}/lib \;
- find ${S}/${buildtarget}/ -name "*.map" -exec cp {} ${D}/lib \;
- for i in ${D}/lib/*.map
- do
- mv ${i} ${i%.map}_pic.map
- done
- fi
-
- # Is this next line actually needed or does the makefile get it right?
- # It previously has 0755 perms which was killing things.
- fperms 4755 /usr/lib/misc/pt_chown
-
- # Currently libraries in /usr/lib/gconv do not get loaded if not
- # in search path ...
-# insinto /etc/env.d
-# doins ${FILESDIR}/03glibc
-
- rm -f ${D}/etc/ld.so.cache
-
- # Prevent overwriting of the /etc/localtime symlink. We'll handle the
- # creation of the "factory" symlink in pkg_postinst().
- rm -f ${D}/etc/localtime
-
- # Some things want this, notably ash.
- dosym /usr/lib/libbsd-compat.a /usr/lib/libbsd.a
-}
-
-pkg_postinst() {
- # Correct me if I am wrong here, but my /etc/localtime is a file
- # created by zic ....
- # I am thinking that it should only be recreated if no /etc/localtime
- # exists, or if it is an invalid symlink.
- #
- # For invalid symlink:
- # -f && -e will fail
- # -L will succeed
- #
- if [ ! -e ${ROOT}/etc/localtime ]
- then
- echo "Please remember to set your timezone using the zic command."
- rm -f ${ROOT}/etc/localtime
- ln -s ../usr/share/zoneinfo/Factory ${ROOT}/etc/localtime
- fi
-
- if [ -x ${ROOT}/usr/sbin/iconvconfig ]
- then
- # Generate fastloading iconv module configuration file.
- ${ROOT}/usr/sbin/iconvconfig --prefix=${ROOT}
- fi
-
- # Reload init ...
- if [ "${ROOT}" = "/" ]
- then
- /sbin/init U &> /dev/null
- fi
-}
-